//
// "$Id ToolDivider.h Thu Feb 10 2006 z_hossain $"
//
// Toolbar Divider for the Fast Light Tool Kit (FLTK).
//
// Copyright 1998-2005 by Bill Spitzak and others.
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
// Please report all bugs and problems to: 
//
//             md_z_hossain@yahoo.com
//

#ifndef fltk_ToolDivider_h
#define fltk_ToolDivider_h

#include <fltk/Widget.h>

//fltk Divider have no option to set gap
namespace fltk {

class ToolDivider : Widget {
	short gap_;
public:
	ToolDivider(int);
	void draw();
	void layout();
};

}
#endif
//
// End of "$Id ToolDivider.h Thu Feb 10 2006 z_hossain $".
//
